package {
	import flash.desktop.NativeApplication;
	import flash.display.BitmapData;
	
	import mx.core.BitmapAsset;
	
	public class IconManager {
		[Embed(source="assets/translator_icon16.png")]
		private var icon16:Class;
		[Embed(source="assets/translator_icon128.png")]
		private var icon128:Class;
		
		public function IconManager():void {
		}
		
		public function initIconManager():void {
			initIcon();
		}
		
		private function initIcon():void {
			var newIconBitmap:BitmapData;
			
			if (NativeApplication.supportsSystemTrayIcon) {
				// タスクトレイアイコン
				newIconBitmap = (new icon16() as BitmapAsset).bitmapData;
			}
			else if (NativeApplication.supportsDockIcon) {
				// ドックアイコン
				newIconBitmap = (new icon128() as BitmapAsset).bitmapData;
			}
			else {
				NativeApplication.nativeApplication.exit();
			}
			
			setIcon(newIconBitmap);
		}
		
		private function setIcon(bitmap:BitmapData):void {
			NativeApplication.nativeApplication.icon.bitmaps = [bitmap];
		}
	}
}