package
{
	import mx.binding.utils.ChangeWatcher;
	import mx.core.Application;
	import mx.events.PropertyChangeEvent;
	
	public class TranslatorSample4Base extends Application
	{
		private var imanager:IconManager;
		private var cmanager:ClipboardManager;
		private var gmanager:TranslateManager;
		
		private var gmodel:TranslateModel;
		
		public function TranslatorSample4Base():void {
		}
		
		public function initApp():void {
			gmodel = new TranslateModel();
			
			imanager = new IconManager();
			cmanager = new ClipboardManager();
			gmanager = new TranslateManager();
			
			imanager.initIconManager();
			cmanager.initClipboardManager(gmodel);
			gmanager.initTranslateManager();
			
			ChangeWatcher.watch(gmodel, '_original', onClipboardChangeHandler);
		}
		
		private function onClipboardChangeHandler(event:PropertyChangeEvent):void {
			gmanager.Translate("1.0", gmodel.Original, "en", "ja");
		}
	}
}