package
{
	import flash.desktop.Clipboard;
	import flash.desktop.ClipboardFormats;
	import flash.events.EventDispatcher;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	public class ClipboardManager extends EventDispatcher
	{
		private var timer:Timer;
		private var _gmodel:TranslateModel;
		
		public function ClipboardManager()
		{
		}
		
		public function initClipboardManager(gmodel:TranslateModel):void {
			_gmodel = gmodel;
			
			timer = new Timer(1000);
			timer.addEventListener(TimerEvent.TIMER, onTimerHandler);
			
			if (Clipboard.generalClipboard.hasFormat(ClipboardFormats.TEXT_FORMAT)) {
				_gmodel.Original = Clipboard.generalClipboard.getData(ClipboardFormats.TEXT_FORMAT) as String;
			}
			
			timer.start();
		}
		
		private function onTimerHandler(event:TimerEvent):void {
			if (Clipboard.generalClipboard.hasFormat(ClipboardFormats.TEXT_FORMAT)) {
				var clipboard:String = Clipboard.generalClipboard.getData(ClipboardFormats.TEXT_FORMAT) as String;
				
				if (clipboard != _gmodel.Original) {
					_gmodel.Original = clipboard;
				}
			}
		}

	}
}