package
{
	import com.adobe.serialization.json.JSON;
	
	import flash.net.URLVariables;
	
	import mx.rpc.events.FaultEvent;
	import mx.rpc.events.ResultEvent;
	import mx.rpc.http.HTTPService;
	
	public class TranslateManager
	{
		private var service:HTTPService;
		
		public function TranslateManager()
		{
		}
		
		public function initTranslateManager():void {
			service = new HTTPService();
			service.url = "http://ajax.googleapis.com/ajax/services/language/translate";
			service.method = "post";
			service.addEventListener(ResultEvent.RESULT, onResult);
			service.addEventListener(FaultEvent.FAULT, onFault);
		}
		
		public function Translate(v:String, q:String, languageFrom:String, languageTo:String):void {
			var forms:URLVariables = new URLVariables();
			
			forms.v = v;
			forms.q = q;
			forms.format = "text";
			forms.langpair = languageFrom + "|" + languageTo;
			service.request = forms;
			service.send();
		}
		
		private function onResult(event:ResultEvent):void {
			var json:Object = JSON.decode(event.result.toString());
			
			if (json.responseStatus == 200) {
				if (json.responseData.translatedText != "") {
					trace(json.responseData.translatedText);
				}
				else {
					trace("翻訳失敗...");
				}
			}
			else {
				trace("翻訳失敗...");
			}
		}
		
		private function onFault(event:FaultEvent):void {
			trace("翻訳失敗...\n" + event.fault.message);
		}

	}
}